﻿using IceCreamShopContracts.BindingModels;
using IceCreamShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IceCreamShopContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportIceCreamComponentViewModel> GetIceCreamComponent();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        List<ReportDateOrdersViewModel> GetDatesOrders();
        List<ReportShopIceCreamViewModel> GetShopsIceCreams();
        void SaveIceCreamToWordFile(ReportBindingModel model);
        void SaveIceCreamComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
        void SaveShopsToWordFile(ReportBindingModel model);
        void SaveShopsIceCreamsToExcelFile(ReportBindingModel model);
        void SaveDatesOrdersToPdfFile(ReportBindingModel model);
    }
}
