﻿using IceCreamShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IceCreamShopContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        public string ShopName { get; set; }
        public string Address { get; set; }
        public DateTime DateOpen { get; set; }
        public int MaxCapacity { get; set; }
        public Dictionary<int, (IIceCreamModel, int)> ShopIceCreams { get; set; } = new();
    }
}
